@import url('https://fonts.googleapis.com/css2?family=Lexend+Giga:wght@100..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Rubik:ital,wght@0,300..900;1,300..900&family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap');

:root{
	--font1: 'Poppins';
	--font2: 'Rubik';
	--font3: 'Ubuntu';
	--font4: 'Lexend Giga';

	--color1: #131c25;
	--color2: #eee;
	--color3: linear-gradient(#298449, #11321d);
	--color4: linear-gradient(#255f25, #283f30);
}

*{
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	text-decoration: none;
	list-style: none;
	outline: none;
}

html{
	font-size: 62.5%;
	/* border: 1px solid red; */
}

body{
	font-family: var(--font1), Arial, Helvetica, sans-serif;
	font-size: 1.5rem;
	background: var(--color4);
}

img{
	width: 10rem;
}

h1{
	font-size: 2rem;
	font-weight: 500;
	opacity: .8;
}

h2{
	font-size: 2rem;
	font-weight: 500;
}


/* INFO */
main{
	width: 600px;
	box-shadow: 0 0 15px #154621;
	border-radius: 20px;
	background: var(--color3);
	color: var(--color2);
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	text-align: center;
	padding: 5rem;
	margin: 5rem auto;
}

.info img{
	border-radius: 50%;
	margin-bottom: 1rem;
}

.handle{
	font-size: 2rem;
	font-weight: 500;
}

.desc{
	font-size: 1.5rem;
}

.socials{
	padding: 1.5rem;
}

.socials i{
	font-size: 2.5rem;
	margin-right: 1.5rem;
	color: var(--color2);
}

.links{
	width: 100%;
	padding: 2.5rem 0;
	margin-bottom: 2.5rem;
	display: flex;
	flex-direction: column;
	gap: 1.5rem;
}

.links .link{
	display: flex;
	font-size: 1.5rem;
	background: var(--color2);
	color: var(--color1);
	padding: 1.5rem;
}

.links .link:hover{
	background: #ddd;
}

.links .link i{
	font-size: 2rem;
	justify-self: flex-start;
}

.links .link p{
	margin: 0 auto;
	font-weight: 500;
}

footer{
	width: 100%;
	border-top: 1.5px solid #eee;
	padding: 1rem 0;
}

footer h2{
	color: #fff;
	margin-bottom: 1rem;
}

footer p{
	font-size: 1.4rem;
}

footer a{
	font-size: 1.2rem;
	color: #eee;
}

footer a:hover{
	color: #fff;
	text-decoration: underline;
}